Skip to main content
GET
/
reports
/
runs
List all report runs
curl --request GET \
  --url https://api.myeasol.com/reports/runs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "report_id": "<string>",
      "state": "<string>",
      "result": "<string>",
      "column_ids": [
        "<string>"
      ],
      "search_query": "<string>",
      "last_updated_since": "<string>",
      "interval_start": "<string>",
      "interval_end": "<string>",
      "filters": {},
      "export_format": "csv"
    }
  ]
}
A report run is the specific instance you create when fetching data from a report via the API. You can use this endpoint to keep track of all report runs that have been created using your API key.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

successful

data
object[]